Skip to main content
POST
Note – Session timeoutThe Swish payment session lasts for 3 minutes, at which point the pay-in fails automatically if no action has been taken by the user.
Note – Minimum amount 0.01 SEKOn Swish pay-ins, the minimum amount is 0.01 SEK (DebitedFunds.Amount value 1).

Body parameters

string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
string
required
The unique identifier of the user at the source of the transaction.
object
required
Information about the debited funds.
object
required
Information about the fees.
string
required
The unique identifier of the credited wallet.
string
required
Max. length: 255 charactersThe URL to which the user is returned after the payment, whether the transaction is successful or not.
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
string
Allowed values: WEB, APPDefault value: WEBThe platform environment of the post-payment flow. The PaymentFlow value combines with the ReturnURL to manage the redirection behavior after payment:
  • Set the value to APP to send the user to your platform’s mobile app
  • Set the value to WEB to send the user to a web browser
In both cases you need to provide the relevant ReturnURL, whether to your app or website.

Responses

string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
Unix timestamp
The date and time at which the object was created.
string
The unique identifier of the user at the source of the transaction.
object
Information about the debited funds.
object
Information about the credited funds (CreditedFunds = DebitedFunds - Fees).
object
Information about the fees.
string
Returned values: CREATED, SUCCEEDED, FAILEDThe status of the transaction.
string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
Unix timestamp
The date and time at which the status changed to SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.
string
Returned values: PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.
string
Returned values: REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:
  • REGULAR – Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.
  • REPUDIATION – Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).
  • REFUND – Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).
  • SETTLEMENT – Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the credited wallet.
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
string
Returned values: SWISHThe type of pay-in.
string
Returned values: WEBThe execution type of the mandate.
string
Max. length: 255 charactersThe URL to which the user is returned after the payment, whether the transaction is successful or not.
string
The URL to which to redirect the user to complete the payment.Caution: This variable URL is specific to each payment. You must rely on the returned URL in full (host, path, and queries) and not hardcode any part of it.
The mobile URL to which to redirect the user to complete the payment in an app-to-app flow.Note: In Sandbox, this parameter is not returned: the RedirectURL must be used to complete the payment using Mangopay’s web-based simulator.
string
The PNG file of the Swish QR code as a Base64-encoded string.Note: In Sandbox, this parameter is not returned. The RedirectURL must be used to complete the payment using Mangopay’s web-based simulator.
string
Max. length: 10 characters; only alphanumeric and spacesCustom description to appear on the user’s bank statement along with the platform name. Different banks may show more or less information. See the Customizing bank statement references article for details.
string
Allowed values: WEB, APPDefault value: WEBThe platform environment of the post-payment flow. The PaymentFlow value combines with the ReturnURL to manage the redirection behavior after payment:
  • Set the value to APP to send the user to your platform’s mobile app
  • Set the value to WEB to send the user to a web browser
In both cases you need to provide the relevant ReturnURL, whether to your app or website.